program boincprog;
{
  
    BOINCprog - show status and progress of current WU on single-CPU system
    Copyright (C) 2004, 2005  Trane Francks

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Comments, suggestions and bug reports may be sent electronically to:

    Trane Francks <trane@gol.com>

    Snail-mail should be addressed to:

    Trane Francks
    Sento Hills Tsurukawa #305
    1856-4 Kanai-cho, Machida-shi
    Tokyo-to 195-0071 JAPAN

}

uses
  execshieldfix,
  QForms, SysUtils,
  unitMain in 'unitMain.pas' {frmMain},
  unitAbout in 'unitAbout.pas' {AboutBox},
  Splash in 'Splash.pas' {frmSplash};

{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'BOINCprog';
  Application.CreateForm(TfrmSplash, frmSplash);
  Application.CreateForm(TfrmMain, frmMain);
  Application.CreateForm(TAboutBox, AboutBox);
  { 2005-12-28: Add functionality to disable BOINCprog splash screen }
  if (GetEnvironmentVariable('SHOW_BP_SPLASH') = '1') then
    Application.ShowMainForm := true
  else
    Application.ShowMainForm := false;
  { /2005-12-28 processing }
  Application.Run;
end.
