unit unitAbout;
{
  
    BOINCprog - show status and progress of current WU on single-CPU system
    Copyright (C) 2004, 2005  Trane Francks

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Comments, suggestions and bug reports may be sent electronically to:

    Trane Francks <trane@gol.com>

    Snail-mail should be addressed to:

    Trane Francks
    Sento Hills Tsurukawa #305
    1856-4 Kanai-cho, Machida-shi
    Tokyo-to 195-0071 JAPAN

}

interface

uses
  SysUtils, Types, Classes, QGraphics, QControls, QForms, QDialogs,
  QExtCtrls, QButtons, QStdCtrls;

type
  TAboutbox = class(TForm)
    AboutPanel: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    lblCPU: TLabel;
    procedure OKButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Aboutbox: TAboutbox;

implementation

{$R *.xfm}

procedure TAboutbox.OKButtonClick(Sender: TObject);
begin
  AboutBox.Close;
end;

end.
